Attribute VB_Name = "mod_GetRelationshipTypes_s4p"
Option Compare Database
Option Explicit

'for query to show relationship type information
'from MSysRelationships

'*************** Code Start *****************************************************
' Purpose  : Get relationship types
'              from MSysRelationships.grbit
' Author   : crystal (strive4peace)
' Code List: msaccessgurus.com/code.htm
' This code: http://msaccessgurus.com/VBA/Query_SQL_ShowRelationships.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Use at your own risk.
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'           GetRelationshipTypes
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'   Attribute                 Value
'   dbRelationUnique          1
'   dbRelationDontEnforce     2
'   dbRelationInherited       4
'   dbRelationUpdateCascade   256
'   dbRelationDeleteCascade   4096
'   dbRelationLeft            16777216
'   dbRelationRight           33554432
Public Function GetRelationshipTypes(pAttributes As Long) _
   As String
'221015 strive4peace
   Dim vText As Variant
   vText = Null
   
   If pAttributes = 0 Then
      GetRelationshipTypes = "EnforceRI"
      Exit Function
   End If
   'Enforce Referential Integrity, or not
   If (pAttributes And dbRelationDontEnforce) = _
         dbRelationDontEnforce Then
      vText = "DontEnforceRI"
   Else
      vText = "EnforceRI"
   End If
   'Right or Left Join
   If (pAttributes And dbRelationRight) = _
         dbRelationRight Then
      vText = (vText + ", ") & "Right"
   Else
      If (pAttributes And dbRelationLeft) = _
            dbRelationLeft Then
         vText = (vText + ", ") & "Left"
      End If
   End If
   'Cascade Update
   If (pAttributes And dbRelationUpdateCascade) = _
         dbRelationUpdateCascade Then
      vText = (vText + ", ") & "CascadeUpdate"
   End If
   'Cascade Delete
   If (pAttributes And dbRelationDeleteCascade) = _
         dbRelationDeleteCascade Then
      vText = (vText + ", ") & "CascadeDelete"
   End If
   'Inherited
   If (pAttributes And dbRelationInherited) = _
         dbRelationInherited Then
      vText = (vText + ", ") & "Inherited"
   End If
   'Unique
   If (pAttributes And dbRelationUnique) = _
         dbRelationUnique Then
      vText = (vText + ", ") & "Unique"
   End If
   
   GetRelationshipTypes = vText
End Function
'*************** Code End ******************************************************

